Skip to content
First requestVisit website ↗
Navigation

Test Google Address Validation from Flow Builder

Runs a one-off Google Address Validation request through Trigger.dev so the test uses the same server-side environment variables as production workflow execution.

POST
https://api.channelautomation.com/api/proxy/queue/address-validation

Authorization

  • BearerAuth
    HTTP Bearer (JWT)
    required

Request body JSON required

  • address
    string
    required

    Address string to validate.

  • regionCode
    optional
    string
  • enableUspsCass
    optional
    boolean

    Whether to request USPS CASS validation for US/PR.

Returns

200

Address validation completed.

400

Missing or invalid address.

500

Server error.

502

Trigger.dev or Google validation failed.

504

Timed out waiting for Trigger.dev.

Type to search…

↑↓ navigate↵ selectEsc close